Bug 612318 - ricci won't start if IPv6 is disabled
Summary: ricci won't start if IPv6 is disabled
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ricci   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: 6.0
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On: 612752
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-07 21:04 UTC by Ryan McCabe
Modified: 2018-11-14 19:23 UTC (History)
7 users (show)

Fixed In Version: ricci-0.16.2-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 612752 (view as bug list)
Environment:
Last Closed: 2010-11-10 22:16:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 908918 None None None Never

Comment 1 Chris Feist 2010-07-09 19:33:04 UTC
To replicate on RHEL6, I did the following:
Add a file called blacklist-ipv6.txt in /etc/modprobe.d

It should contain the following two lines:
install ipv6 /bin/true
blacklist ipv6

Then in /etc/sysconfig/network, the following line should be added (or modified if it's already there):
NETWORKING_IPV6=no

Restart the computer,

Run ifconfig, you should only see a 'inet addr'.  If you run this with ipv6 enabled you'll see an 'inet6 addr' as well as an 'inet addr'

Test output follows (with IPV6 disabled), 0.16.2-8 is the old package, -9 is the new one.

[root@ask-03 ~]# rpm -Uvh http://porkchop.redhat.com/brewroot/packages/ricci/0.16.2/8.el6/x86_64/ricci-0.16.2-8.el6.x86_64.rpm
Retrieving http://porkchop.redhat.com/brewroot/packages/ricci/0.16.2/8.el6/x86_64/ricci-0.16.2-8.el6.x86_64.rpm
Preparing...                ########################################### [100%]
   1:ricci                  ########################################### [100%]
[root@ask-03 ~]# ricci -u ricci
main.cpp:228: exception: ServerSocket(port=11111): socket() failed: Address family not supported by protocol
[root@ask-03 ~]# rpm -Uvh http://porkchop.redhat.com/brewroot/packages/ricci/0.16.2/9.el6/x86_64/ricci-0.16.2-9.el6.x86_64.rpm
Retrieving http://porkchop.redhat.com/brewroot/packages/ricci/0.16.2/9.el6/x86_64/ricci-0.16.2-9.el6.x86_64.rpm
Preparing...                ########################################### [100%]
   1:ricci                  ########################################### [100%]
[root@ask-03 ~]# ricci -u ricci
[root@ask-03 ~]# 
[root@ask-03 ~]# ps -eaf | grep ricci
ricci    19089     1  0 14:31 ?        00:00:00 ricci -u ricci

Comment 4 releng-rhel@redhat.com 2010-11-10 22:16:48 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.